ICU 70.1 70.1

Public Member Functions | Friends
icu::IDNAInfo Class Reference

Output container for IDNA processing errors. More...

`#include <idna.h>`

Inheritance diagram for icu::IDNAInfo:

## Public Member Functions
| IDNAInfo ()
| Constructor for stack allocation. More...
UBool | hasErrors () const
| Were there IDNA processing errors? More...
uint32_t | getErrors () const
| Returns a bit set indicating IDNA processing errors. More...
UBool | isTransitionalDifferent () const
| Returns true if transitional and nontransitional processing produce different results. More...

## Friends
class | UTS46

## Detailed Description

Output container for IDNA processing errors.

The IDNAInfo class is not suitable for subclassing.

Stable:
  ICU 4.6

Definition at line 270 of file idna.h.

## Constructor & Destructor Documentation

## ◆ IDNAInfo()

icu::IDNAInfo::IDNAInfo | ( |  | ) |
| inline

Constructor for stack allocation.

Stable:
  ICU 4.6

Definition at line 276 of file idna.h.

## Member Function Documentation

## ◆ getErrors()

uint32_t icu::IDNAInfo::getErrors | ( |  | ) | const
| inline

Returns a bit set indicating IDNA processing errors.

See UIDNA_ERROR_... constants in uidna.h.

Returns
  bit set of processing errors

Stable:
  ICU 4.6

Definition at line 289 of file idna.h.

## ◆ hasErrors()

UBool icu::IDNAInfo::hasErrors | ( |  | ) | const
| inline

Were there IDNA processing errors?

Returns
  true if there were processing errors

Stable:
  ICU 4.6

Definition at line 282 of file idna.h.

## ◆ isTransitionalDifferent()

UBool icu::IDNAInfo::isTransitionalDifferent | ( |  | ) | const
| inline

Returns true if transitional and nontransitional processing produce different results.

This is the case when the input label or domain name contains one or more deviation characters outside a Punycode label (see UTS #46).

- With nontransitional processing, such characters are copied to the destination string.
- With transitional processing, such characters are mapped (sharp s/sigma) or removed (joiner/nonjoiner).

Returns
  true if transitional and nontransitional processing produce different results

Stable:
  ICU 4.6

Definition at line 303 of file idna.h.

## Friends And Related Function Documentation

## ◆ UTS46

friend class UTS46
| friend

Definition at line 306 of file idna.h.

The documentation for this class was generated from the following file:

- idna.h